FROM golang:1-alpine as gobuild

RUN apk add --no-cache git

WORKDIR /go/src/srs.epita.fr/fic-server/

COPY go.mod go.sum ./
COPY settings settings/
COPY libfic ./libfic/
COPY checker ./checker/

RUN go get -d -v ./checker && \
    go build -v -buildvcs=false -o checker/checker ./checker


FROM alpine:3.18

WORKDIR /srv

ENTRYPOINT ["/srv/checker"]

COPY --from=gobuild /go/src/srs.epita.fr/fic-server/checker/checker /srv/checker
